routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use \App\Http\Middleware\SessionExpired;
use App\Http\Middleware\CheckShopPlan;
use App\Http\Middleware\verifyMobile;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('config','AdminController@config')->name('config');
Route::get('about', 'ShopController@index')->name('about');
Route::post('frontAjax','AdminController@frontAjax')->name('frontAjax');
Route::get('/', 'ShopController@store')->name('store');
Route::get('allShops', 'ShopController@allShops')->name('allShops');
Route::get('guilds', 'ShopController@guilds')->name('guilds');
//Route::get('categories/{title}/{id}', 'ShopController@categories')->name('categories');
Route::get('AdvanceCategorie/{province}/{city}/{cat}', 'ShopController@getProductPaginate')->name('advanceCategory');
Route::get('blogCategorie/{cat}/{id}', 'ShopController@blog_categories')->name('blogCategory');
//Route::get('paginatePros/{province}/{city}/{cat}', 'ShopController@getProductPaginate')->name('paginatePro');
Route::get('blog', 'ShopController@blog')->name('blog');
Route::get('blog/article/{id}', 'ShopController@article')->name('article');
Route::get('shop/{name}/cat/{id}/{title}', 'ShopController@get_products_by_cat')->name('cat.products');
Route::get('shop/{name}/services', 'ShopController@shop_services')->name('services');
Route::get('shop/{name}/gallery', 'ShopController@shop_gallery')->name('shop-gallery');
Route::get('shop/{name}/blog', 'ShopController@shop_blog')->name('shop-blog');
Route::get('shop/{name}/blog/{id}', 'ShopController@shop_article')->name('shop-article');
Route::get('shop/services/{id}', 'ShopController@service')->name('show_service');


Route::get('shop/{unique_name}', 'ShopController@singleshop')->name('singleshop');
Route::get('shop/cart/{id}', 'ShopController@addToCart')->name('addToCart');
Route::get('shop/product/{slug}/{id}', 'ShopController@product')->name('singleProduct');
Route::get('shoppingCart', 'ShopController@ShoppingCart')->name('ShoppingCart')->middleware('auth');
Route::post('bill', 'ShopController@bill')->name('bill');
Route::post('deleteCart', 'ShopController@deleteCart')->name('deleteCart');
Route::get('prePay','ShopController@payment')->name('payment');
Route::get('payment/response/{customer_factor_id}','ShopController@paymentResponse')->name('paymentResponse');
Route::get('change-password', 'AdminController@change_password')->name('change_password');
Route::post('verify-user-mobile','AdminController@verify_user_mobile')->name('verify_user_mobile');
Route::post('verify-code','AdminController@verify_code')->name('verify-code');
Route::post('update-pass','AdminController@update_pass')->name('update-pass');
Route::get('show-change-pass', 'AdminController@show_change_pass')->name('show-change-pass');





Route::prefix('admin')->middleware('auth', 'sessionExpired','verifyMobile')->group(function () {
    Route::get('info', 'AdminShopController@shopInfo')->name('shopInfo');
    Route::get('buy-plan', 'AdminShopController@buy_plan')->name('buy_plan');
    Route::get('buy-plan-result/{id}', 'AdminShopController@buy_plan_result')->name('buy_plan_result');
    Route::post('plan-purchase','AdminShopController@plan_purchase')->name('plan-purchase');
    Route::post('verifyMobile','AdminController@verifyMobile')->name('verifyMobile');
    Route::get('change-mobile', 'AdminController@change_mobile')->name('change_mobile');
    Route::post('update-mobile','AdminController@update_mobile')->name('update_mobile');





    Route::prefix('shop')->middleware('CheckShopPlan')->group(function (){
        Route::post('info/upload', 'AdminShopController@imageup')->name('imageup');
        Route::post('storeShopInfo', 'AdminShopController@store')->name('storeShopInfo');
        Route::get('ShopuploadForm', 'AdminShopController@ShopuploadForm')->name('ShopuploadForm');
        Route::get('edit/{id}', 'AdminShopController@ShopInfoEdit')->name('EditShopInfo');
        Route::patch('/{id}', 'AdminShopController@UpdateInfo')->name('UpdateInfo');
        Route::get('roles', 'AdminShopController@shopRoles')->name('shopRoles');
        Route::delete('shopDeleteRole/{id}', 'AdminShopController@destroyRole')->name('shopDeleteRole');
        Route::get('createRole', 'AdminShopController@createRole')->name('createRole');
        Route::post('saveRole', 'AdminShopController@saveRole')->name('saveRole');
        Route::get('roles/edit/{id}', 'AdminShopController@editRoles')->name('editRoles');
        Route::patch('updateRole/{id}', 'AdminShopController@updateRole')->name('updateRole');
        Route::get('gallery', 'AdminShopController@gallery')->name('gallery');
        Route::post('setGallery', 'AdminShopController@setGallery')->name('setGallery');
        Route::post('deleteGalleryImg', 'AdminShopController@deleteGalleryImg')->name('deleteGalleryImg');
        Route::post('deleteGalleryFile', 'AdminShopController@deleteGalleryFile')->name('deleteGalleryFile');
        Route::resource('article','AdminArticleController');
        Route::get('article-category','AdminArticleController@category')->name('article-category');
        Route::get('article-category/edit/{id}','AdminArticleController@category_edit')->name('article-category-edit');
        Route::get('article-category/new','AdminArticleController@category_new')->name('article-category-new');

        Route::get('article-comments','AdminCommentsController@article_comments')->name('article-comments');
        Route::get('product-comments','AdminCommentsController@product_comments')->name('product-comments');
        Route::get('all-comments','AdminCommentsController@all_comments')->name('all-comments');


        Route::get('personnel/dashboard','AdminPersonnelController@dashboard')->name('personnelDashboard');
        Route::resource('personnel', 'AdminPersonnelController');
        Route::post('personnel/setUserRole/{id}', 'AdminPersonnelController@setUserRole')->name('setUserRole');
        Route::get('logs', 'AdminPersonnelController@logs')->name('userLogs');


        Route::resource('category', 'AdminCategoryController');

        Route::resource('product', 'AdminProductController');
        Route::get('newProduct', 'AdminProductController@new_product')->name('newProduct');

        Route::get('products/dashboard','AdminProductController@dashboard')->name('productDashboard');
        Route::get('factor/purchases/{id}', 'AdminProductController@factorPurchase')->name('factorPurchase');
        Route::get('factor/purchases/close/{id}', 'AdminProductController@savePurchase')->name('savePurchase');
        Route::get('factor/payment/close/{id}', 'AdminProductController@savePayment')->name('savePayment');
        Route::get('sell', 'AdminProductController@sell')->name('sell');
        Route::get('guaranty', 'AdminProductController@guaranty')->name('guaranty');
        Route::get('guarantyTracking', 'AdminProductController@guarantyTracking')->name('guarantyTracking');
        Route::get('guarantyTracking/set/{id}/{step}', 'AdminProductController@SetGuarantyTracking')->name('setGuarantyTracking');
        Route::get('guarantyinfo/{id}/', 'AdminProductController@guarantyinfo')->name('guarantyinfo');
        Route::post('accept-guaranty', 'AdminProductController@accept_guaranty')->name('accept_guaranty');
        Route::get('editbuyFactor/{id}', 'AdminProductController@editbuyFactor')->name('editbuyFactor');
        Route::get('editsellFactor/{id}', 'AdminProductController@editsellFactor')->name('editsellFactor');
        Route::get('editFactorProduct/{id}', 'AdminProductController@editFactorProduct')->name('editFactorProduct');
        Route::get('sellFactor/{id}', 'AdminProductController@sellFactor')->name('sellFactor');
        Route::post('searchGuaranty', 'AdminProductController@searchGuaranty')->name('searchGuaranty');
        Route::post('UploadProductFiles/{id}', 'AdminProductController@UploadProductFiles')->name('UploadProductFiles');
        Route::delete('UploadProductFiles/{id}', 'AdminProductController@DelUploadProductFiles')->name('DelUploadProductFiles');
        Route::post('deleteUploaded', 'AdminProductController@deleteUploaded')->name('deleteUploaded');

        Route::get('accountant', 'AdminAccountantController@accountant')->name('accountant');
        Route::get('accountant/dashboard','AdminAccountantController@dashboard')->name('accountantDashboard');
        Route::get('offlineAcc', 'AdminAccountantController@offlineAcc')->name('offlineAcc');
        Route::get('onlineAcc', 'AdminAccountantController@onlineAcc')->name('onlineAcc');
        Route::get('Accounts', 'AdminAccountantController@Accounts')->name('accounts');
        Route::get('Accounts/create', 'AdminAccountantController@createAccount')->name('accounts.create');
        Route::get('Accounts/edit/{id}', 'AdminAccountantController@editAccount')->name('accounts.edit');
        Route::post('Accounts/store', 'AdminAccountantController@store')->name('accounts.store');
        Route::patch('Accounts/update/{id}', 'AdminAccountantController@updateAccount')->name('accounts.update');
        Route::get('Accounts/newOutgo', 'AdminAccountantController@newOutgo')->name('newOutgo');
        Route::post('Accounts/saveOutgo', 'AdminAccountantController@saveOutgo')->name('saveOutgo');
        Route::get('unpaidFactors', 'AdminAccountantController@unpaid_factors')->name('unpaidFactors');


        Route::get('storage/dashboard','AdminStorageController@dashboard')->name('storageDashboard');
        Route::get('ioProduct', 'AdminStorageController@ioProduct')->name('ioProduct');

resources/views/admin/Blog/article-categories.blade.php
@extends('admin.layouts.newTheme.master')
@section('header')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection
@section('main')
    <span class="ajax d-none" id="{{route('webAjax')}}"></span>
    <div class="row p-4 d-flex pb-5">
        <div class="col-12 alert alert-light text-center ">
            <h1 class="text-muted">مدیریت گروه مطالب</h1>
        </div>
        <div class="col-12 bg-white p-2 rounded box-shadow">
            @if(Session::has('success'))
                <div class="alert alert-success mt-1">
                    <h4 class="text-success">
                        {{Session::pull('success')}}
                    </h4>
                </div>
            @endif
            @if(Auth::user()->shop_id!= null)
                <div class=" mt-0 bg-white">
                    <div class="col justify-content-center p-0 ">
                        <div class="nav  d-flex justify-content-center ">
                            <ul class=" d-flex justify-content-between list-unstyled w-100 user-list-menu p-2 checkout-ul ">
                                <li class="blog-list-item ">
                                    <a href="{{route('article-category-new')}}" class="btn btn-outline-success">
                                        <i class="fa fa-plus"></i>
                                        گروه جدید
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                @if(count($cats)>0)
                    @php($counter=1)
                    <div class="box-body">
                        <table class="table table-bordered table-responsive-md table-hover table-striped table-header mt-2" id="table">
                            <tr class="table-header">
                                <th>ردیف</th>
                                <th>تصویر</th>
                                <th>عنوان</th>
                                <th>سرگروه</th>
                                <th>امکانات</th>
                            </tr>
                            @foreach($cats as $cat )
                                <tr>
                                    <td>{{$counter}}</td>
                                    <td>
                                        @if($cat->photo)
                                            <img class="img-fluid img-product-list" src="{{asset('images/articles/cats/'.$cat->photo->path)}}" alt="">
                                        @else
                                            <img class="img-fluid img-product-list" src="{{asset('img/default.jpg')}}" alt="">
                                        @endif
                                    </td>
                                    <td>{{$cat->title}}</td>
                                    <td>{{$cat->parent_id}}</td>
                                    <td> <div class="row w-100 justify-content-center">
                                            <div class="col-12  ">
                                                <a class=" btn btn-primary w-50" href="{{route('article-category-edit',$cat->id)}} " style="white-space: nowrap">
                                                    <i class="fa fa-edit" style="white-space: nowrap"></i>
                                                    ویرایش
                                                </a>
                                            </div>
                                            <div class="col-12 ">
                                                <a href="javascript:" id="{{$cat->id}}"  class="delete btn btn-danger my-2 w-50 ">
                                                    <i class="fa fa-trash"></i>
                                                    حذف
                                                </a>
                                            </div>
                                        </div></td>
                                </tr>
                                @php($counter++)
                            @endforeach
                        </table>
                        <div class="row d-flex justify-content-center">{{$cats->links()}}</div>
                    </div>
                @else
                    <div class="alert alert-warning mt-1 text-center">
                        <h4 class="text-warning">
                            گروهی جهت نمایش وجود ندارد
                        </h4>
                    </div>
                @endif
            @else
                <div class="alert alert-danger mt-1 text-center">
                    <h4 class="text-danger">
                        شما هنوز فروشگاهی ثبت نکرده اید.
                    </h4>
                </div>
            @endif
        </div>
    </div>
@endsection
@section('script')

    <script>

        $(document).ready(function () {
            var table = document.getElementById('table')
            $(document).on("click", '.delete',function () {
                var id=this.id
                var rowindex=$(this).parent().parent().parent().parent().index()

                swal({
                    title: "مطمئنی ؟؟",
                    text: "میخوای این گروه رو پاک کنی؟؟",
                    type: "error",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "بله . پاکش کن!",
                    cancelButtonText: "نه  . بیخیال!",
                }, function (isConfirm) {
                    if (isConfirm) {
                        $.ajax({
                            type: "POST",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            url: $('.ajax.d-none').attr('id'),
                            data: {// change data to this object
                                id: id,
                                do: 'delete-article-category',
                            },
                            dataType: 'json',
                            success: function (response) {
                                if(response=='forbidden'){
                                    swal("خطا!", "این گروه دارای مطلب است و شما مجاز به حذف آن نیستید.", "error")
                                }else if(response=='success'){
                                    var table=document.getElementById('table')
                                    table.deleteRow(rowindex)
                                    swal("موفق", "گروه مطلب حذف شد.", "success")
                                }
                            },
                            error: function (response) {
                                console.log('error')
                            }
                        });
                        swal("پاک شد!", "فایل با موفقیت پاک شد", "success");
                    }
                });
            });

        })
    </script>

@endsection

resources/views/admin/Blog/article-edit.blade.php
@extends('admin.layouts.newTheme.master')
@section('header')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection
@section('main')

    <div class="row p-4 d-flex pb-5">
        <div class="col-12 alert alert-light text-center ">
            <h1 class="text-muted">ویرایش مطلب </h1>
        </div>
        <div class="col-12 bg-white p-2 rounded box-shadow">
            @if(count($errors)>0)
                <div class="alert alert-danger">
                    <ul>
                        @foreach($errors->all() as $error)
                            <li>{{$error}}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="box-body">
                @livewire('articles.edit-article',['cats'=>$cats,'article'=>$article])
            </div>
        </div>
    </div>

@endsection

resources/views/admin/Blog/articles.blade.php
@extends('admin.layouts.newTheme.master')
@section('header')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection
@section('main')
    <span class="ajax d-none" id="{{route('webAjax')}}"></span>
    <div class="row p-4 d-flex pb-5">
        <div class="col-12 alert alert-light text-center ">
            <h1 class="text-muted">مدیریت مطالب</h1>
        </div>
        <div class="col-12 bg-white p-2 rounded box-shadow">
            @if(Session::has('success'))
                <div class="alert alert-success mt-1">
                    <h4 class="text-success">
                        {{Session::pull('success')}}
                    </h4>
                </div>
            @endif
                @if(Session::has('forbidden'))
                    <div class="alert alert-danger mt-1 text-center">
                        <h4 class="text-danger">
                            {{Session::pull('forbidden')}}
                        </h4>
                    </div>
                @endif
            @if(Auth::user()->shop_id!= null)
                <div class=" mt-0 bg-white">
                    <div class="col justify-content-center p-0 ">
                        <div class="nav  d-flex justify-content-center ">
                            <ul class=" d-flex justify-content-between list-unstyled w-100 user-list-menu p-2 checkout-ul ">
                                <li class="blog-list-item ">
                                    <a href="{{route('article.create')}}" class="btn btn-outline-success">
                                        <i class="fa fa-plus"></i>
                                        مطلب جدید
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                @if(count($articles)>0)
                    @php($counter=1)
                    <div class="box-body">
                        <table class="table table-bordered table-responsive-md table-hover table-striped table-header mt-2" id="table">
                            <tr class="table-header">
                                <th>ردیف</th>
                                <th>تصویر</th>
                                <th>عنوان</th>
                                <th>دسته بندی</th>
                                <th>نویسنده</th>
                                <th>امکانات</th>
                            </tr>
                            @foreach($articles as $article )
                                <tr>
                                    <td>{{$counter}}</td>
                                    <td>
                                        @if($article->photo)
                                            <img class="img-fluid img-product-list" src="{{asset('images/articles/'.$article->photo->path)}}" alt="">
                                        @else
                                            <img class="img-fluid img-product-list" src="{{asset('img/default.jpg')}}" alt="">
                                        @endif
                                    </td>
                                    <td>{{$article->title}}</td>
                                    <td>{{$article->category->title}}</td>
                                    <td>{{$article->author->name.' '.$article->author->family}} </td>
                                    <td> <div class="row w-100 justify-content-center">
                                            <div class="col-12 my-1 ">
                                                <a class=" btn btn-primary" href="{{route('article.edit',$article->id)}}">
                                                    <i class="fa fa-edit"></i>
                                                    ویرایش
                                                </a>
                                            </div>
                                            <div class="col-12 my-2">
                                                <button id="{{$article->id}}"  class="delete btn btn-danger ">
                                                    <i class="fa fa-trash"></i>
                                                    حذف
                                                </button>
                                            </div>
                                        </div></td>
                                </tr>
                                @php($counter++)
                            @endforeach
                        </table>
                        <div class="row d-flex justify-content-center">{{$articles->links()}}</div>
                    </div>
                @else
                    <div class="alert alert-warning mt-1 text-center">
                        <h4 class="text-warning">
                            مطلبی جهت نمایش وجود ندارد
                        </h4>
                    </div>
                @endif
            @else
                <div class="alert alert-danger mt-1 text-center">
                    <h4 class="text-danger">
                        شما هنوز فروشگاهی ثبت نکرده اید.
                    </h4>
                </div>
            @endif
        </div>
    </div>
@endsection
@section('script')

    <script>

        $(document).ready(function () {
            var table = document.getElementById('table')
            $(document).on("click", '.delete',function () {
                var id=this.id
                var rowindex=$(this).parent().parent().parent().parent().index()

                swal({
                    title: "مطمئنی ؟؟",
                    text: "میخوای این مطلب رو پاک کنی؟؟",
                    type: "error",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "بله . پاکش کن!",
                    cancelButtonText: "نه  . بیخیال!",
                }, function (isConfirm) {
                    if (isConfirm) {
                        $.ajax({
                            type: "POST",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            url: $('.ajax.d-none').attr('id'),
                            data: {// change data to this object
                                id: id,
                                do: 'delete-article',
                            },
                            dataType: 'json',
                            success: function (response) {
                                console.log(response)
                                    var table=document.getElementById('table')
                                    table.deleteRow(rowindex)
                                    swal("موفق", " مطلب حذف شد.", "success")
                            },
                            error: function (response) {
                                console.log('error')
                            }
                        });
                        swal("پاک شد!", "فایل با موفقیت پاک شد", "success");
                    }
                });
            });

        })
    </script>

@endsection

resources/views/admin/Blog/category-edit.blade.php
@extends('admin.layouts.newTheme.master')
@section('header')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection
@section('main')

    <div class="row p-4 d-flex pb-5">
        <div class="col-12 alert alert-light text-center ">
            <h1 class="text-muted">ویرایش گروه مطلب </h1>
        </div>
        <div class="col-12 bg-white p-2 rounded box-shadow">
            @if(count($errors)>0)
                <div class="alert alert-danger">
                    <ul>
                        @foreach($errors->all() as $error)
                            <li>{{$error}}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="box-body">
                @livewire('articles.edit-article-cat',['cats'=>$cats,'cat'=>$cat])
            </div>
        </div>
    </div>

@endsection

resources/views/admin/Blog/comments.blade.php
@extends('admin.layouts.newTheme.master')
@section('header')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection
@section('main')
    <span class="ajax d-none" id="{{route('webAjax')}}"></span>
    <div class="row p-4 d-flex pb-5">
        <div class="col-12 alert alert-light text-center ">
            <h1 class="text-muted">مدیریت نظرات</h1>
        </div>
        <div class="col-12 bg-white p-2 rounded box-shadow">
            @if(Session::has('success'))
                <div class="alert alert-success mt-1">
                    <h4 class="text-success">
                        {{Session::pull('success')}}
                    </h4>
                </div>
            @endif
            @if(Auth::user()->shop_id!= null)
                @if(count($comments)>0)
                    @php($counter=1)
                    <div class="box-body">
                        <table class="table table-bordered table-responsive-md table-hover table-striped table-header mt-2" id="table">
                            <tr class="table-header">
                                <th>ردیف</th>
                                <th>نویسنده</th>
                                <th>متن</th>
                                <th>امکانات</th>
                            </tr>
                            @foreach($comments as $comment )
                                <tr>
                                    <td>{{$counter}}</td>
                                    <td>{{$comment->user->name.' '.$comment->user->family}} </td>
                                    <td>{{$comment->content}}</td>
                                    <td> <div class="row w-100 justify-content-center">
                                            <div class="col-12 col-md-6">
                                                <button id="{{$comment->id}}"  class="delete btn btn-danger ">
                                                    <i class="fa fa-trash"></i>
                                                    حذف
                                                </button>
                                            </div>
                                        </div></td>
                                </tr>
                                @php($counter++)
                            @endforeach
                        </table>
                        <div class="row d-flex justify-content-center">{{$comments->links()}}</div>
                    </div>
                @else
                    <div class="alert alert-warning mt-1 text-center">
                        <h4 class="text-warning">
                            نظری جهت نمایش وجود ندارد
                        </h4>
                    </div>
                @endif
            @else
                <div class="alert alert-danger mt-1 text-center">
                    <h4 class="text-danger">
                        شما هنوز فروشگاهی ثبت نکرده اید.
                    </h4>
                </div>
            @endif
        </div>
    </div>
@endsection
@section('script')

    <script>

        $(document).ready(function () {
            var table = document.getElementById('table')
            $(document).on("click", '.delete',function () {
                var id=this.id
                var rowindex=$(this).parent().parent().parent().parent().index()

                swal({
                    title: "مطمئنی ؟؟",
                    text: "میخوای این نظر رو پاک کنی؟؟",
                    type: "error",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "بله . پاکش کن!",
                    cancelButtonText: "نه  . بیخیال!",
                }, function (isConfirm) {
                    if (isConfirm) {
                        $.ajax({
                            type: "POST",
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            url: $('.ajax.d-none').attr('id'),
                            data: {// change data to this object
                                id: id,
                                do: 'delete-comment',
                            },
                            dataType: 'json',
                            success: function (response) {
                                    var table=document.getElementById('table')
                                    table.deleteRow(rowindex)
                                    swal("موفق", " نظر حذف شد.", "success")
                            },
                            error: function (response) {
                                console.log('error')
                            }
                        });
                        swal("پاک شد!", "فایل با موفقیت پاک شد", "success");
                    }
                });
            });

        })
    </script>

@endsection